Bug 571375 - Rpmlint should check macros in the comments
Rpmlint should check macros in the comments
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-08 06:03 EST by Radek Novacek
Modified: 2010-06-04 14:46 EDT (History)
5 users (show)

See Also:
Fixed In Version: rpmlint-0.97-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-21 17:59:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch that adds check for commented but unescpated macros. (1.22 KB, patch)
2010-03-08 06:03 EST, Radek Novacek
no flags Details | Diff

  None (edit)
Description Radek Novacek 2010-03-08 06:03:49 EST
Created attachment 398503 [details]
Proposed patch that adds check for commented but unescpated macros.

RpmLint should check if there are any commented but unescaped macros in the spec file. Upstream also suggest this check [1] but their trac is broken so I can't post the patch there.

[1] http://rpmlint.zarb.org/cgi-bin/trac.cgi/ticket/162
Comment 1 Ville Skyttä 2010-03-10 15:37:46 EST
Thanks, somewhat modified version applied upstream:
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1739
Comment 2 Fedora Update System 2010-05-18 16:20:47 EDT
rpmlint-0.97-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rpmlint-0.97-1.fc13
Comment 3 Fedora Update System 2010-05-18 16:22:04 EDT
rpmlint-0.97-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rpmlint-0.97-1.fc12
Comment 4 Fedora Update System 2010-05-28 14:03:40 EDT
rpmlint-0.97-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2010-06-04 14:46:41 EDT
rpmlint-0.97-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.